package com.kingdee.eas.custom.task.vo;

import java.util.List;

/**
 * 员工信息实体类。
 */
public class EmpInfo {
    /**
     * 员工的唯一标识符。
     */
    private String id;

    /**
     * 员工的用户名。
     */
    private String username;

    /**
     * 员工的职位。
     */
    private String job;

    /**
     * 职位ID。
     */
    private String jobId;

    /**
     * 职位级别。
     */
    private String jobLevel;

    /**
     * 性别。
     */
    private String sex;

    /**
     * 员工的全名。
     */
    private String fullname;

    /**
     * 员工的编号。
     */
    private String code;

    /**
     * 员工类型。
     */
    private String type;

    /**
     * 证件类型。
     */
    private String cardType;

    /**
     * 证件号码。
     */
    private String cardNum;

    /**
     * 员工的电子邮件地址。
     */
    private String email;

    /**
     * 员工的电话号码。
     */
    private String phone;

    /**
     * 组织机构ID。
     */
    private String organizationId;

    /**
     * 组织机构名称。
     */
    private String organizationName;

    /**
     * 组织机构IDs，用斜杠分隔。
     */
    private String organizationIds;

    /**
     * 组织机构名称，用斜杠分隔。
     */
    private String organizationNames;

    /**
     * 是否被禁用。
     */
    private String isDisabled;

    /**
     * 删除标志。
     */
    private Integer delFlag;

    /**
     * 职位。
     */
    private String position;

    /**
     * 职位ID。
     */
    private String positionId;

    /**
     * APS系统职位列表。
     */
    private List<String> apsPosition;

    /**
     * UPS系统职位列表。
     */
    private List<String> upsPosition;

    /**
     * LPS系统职位列表。
     */
    private List<String> lpsPosition;

    /**
     * 创建时间。
     */
    private String createTime;

    /**
     * 更新时间。
     */
    private String updateTime;

    /**
     * AD域GUID。
     */
    private String adGuid;

    /**
     * AD域DN（Distinguished Name）。
     */
    private String adDn;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getJob() {
        return job;
    }

    public void setJob(String job) {
        this.job = job;
    }

    public String getJobId() {
        return jobId;
    }

    public void setJobId(String jobId) {
        this.jobId = jobId;
    }

    public String getJobLevel() {
        return jobLevel;
    }

    public void setJobLevel(String jobLevel) {
        this.jobLevel = jobLevel;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getFullname() {
        return fullname;
    }

    public void setFullname(String fullname) {
        this.fullname = fullname;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCardType() {
        return cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }

    public String getCardNum() {
        return cardNum;
    }

    public void setCardNum(String cardNum) {
        this.cardNum = cardNum;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getOrganizationId() {
        return organizationId;
    }

    public void setOrganizationId(String organizationId) {
        this.organizationId = organizationId;
    }

    public String getOrganizationName() {
        return organizationName;
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public String getOrganizationIds() {
        return organizationIds;
    }

    public void setOrganizationIds(String organizationIds) {
        this.organizationIds = organizationIds;
    }

    public String getOrganizationNames() {
        return organizationNames;
    }

    public void setOrganizationNames(String organizationNames) {
        this.organizationNames = organizationNames;
    }

    public String getIsDisabled() {
        return isDisabled;
    }

    public void setIsDisabled(String isDisabled) {
        this.isDisabled = isDisabled;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getPositionId() {
        return positionId;
    }

    public void setPositionId(String positionId) {
        this.positionId = positionId;
    }

    public List<String> getApsPosition() {
        return apsPosition;
    }

    public void setApsPosition(List<String> apsPosition) {
        this.apsPosition = apsPosition;
    }

    public List<String> getUpsPosition() {
        return upsPosition;
    }

    public void setUpsPosition(List<String> upsPosition) {
        this.upsPosition = upsPosition;
    }

    public List<String> getLpsPosition() {
        return lpsPosition;
    }

    public void setLpsPosition(List<String> lpsPosition) {
        this.lpsPosition = lpsPosition;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getAdGuid() {
        return adGuid;
    }

    public void setAdGuid(String adGuid) {
        this.adGuid = adGuid;
    }

    public String getAdDn() {
        return adDn;
    }

    public void setAdDn(String adDn) {
        this.adDn = adDn;
    }
}
